# The name of the module.
DOC_MODULE = streamtuner

# The top-level SGML file.
DOC_MAIN_SGML_FILE = streamtuner-docs.sgml

# Extra options to supply to gtkdoc-scan
SCAN_OPTIONS = --deprecated-guards="ST_DISABLE_DEPRECATED"

# The directory containing the source code. Relative to $(srcdir)
DOC_SOURCE_DIR = ../../src/streamtuner

# Used for dependencies
HFILE_GLOB = $(top_srcdir)/src/streamtuner/*-api.h
CFILE_GLOB = $(top_srcdir)/src/streamtuner/*.c

# Headers to ignore
include private-headers.make
IGNORE_HFILES =	streamtuner.h $(private_headers)

# Extra options to supply to gtkdoc-mkdb
MKDB_OPTIONS = --sgml-mode --output-format=xml --ignore-files=trio

# include common portion ...
include $(top_srcdir)/docs/gtk-doc.make

EXTRA_DIST += generate-private-headers
